#ifndef FONT_HPP
#define FONT_HPP

#include <iostream>
using namespace std;

#include "SDL/SDL.h"
#include "SDL/SDL_opengl.h"

#include "pixelloader.hpp"

class FontRenderer:public PixelLoader
{
public:
  void glPrint( GLint x, GLint y, const char *string,float scale);
  FontRenderer();
  ~FontRenderer();
private:
  GLuint  base;                  /* Base Display List For The Font           */
  GLuint  font_texture; /* Storage For Our Font Texture             */
  GLuint  loop;                  /* Generic Loop Variable                    */
  GLfloat cnt1;                  /* Counter Used To Move Text & For Coloring */
  GLfloat cnt2;                  /* Counter Used To Move Text & For Coloring */
  private:
  void BuildFont();
};

#endif /* FONT_HPP */
